Skip to main content
GET
List Auto Earn rewards

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

Path Parameters

account_id
string
required

ID of the account to retrieve rewards for. Refers to one of the accounts held by the user the request is acting on behalf of.

Pattern: ^[A-Z0-9]{16}$

Query Parameters

quote_symbol
string
default:USD

Ticker symbol of the quote asset for converted amounts (e.g., "USD", "EUR").

Maximum string length: 10
quote_type
string
default:fiat

Type of the quote asset. Only "fiat" is supported.

Maximum string length: 16
page_token
string

Opaque token returned as next_page_token in the previous response. Omit to request the first page.

Required string length: 1 - 256
page_size
integer<int32>
default:20

Maximum number of results to return. Ignored when page_token is present.

Required range: 1 <= x <= 25

Response

Successful response

data
object[]
required

Historical rewards per asset for the requested page, sorted by symbol, A-Z.

quote_symbol
string
required

Symbol of the quote asset used for converted amounts (e.g., "USD", "EUR").

quote_type
string
required

Type of the quote asset (e.g., "fiat").

next_page_token
string

Opaque token for retrieving the next page. Absent when there are no more results.

Required string length: 1 - 256